# coding: utf-8
# Generated by Django 1.9 on 2018-05-21 10:10
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='Certificate',
            fields=[
                ('id', models.AutoField(
                    auto_created=True,
                    primary_key=True,
                    serialize=False,
                    verbose_name='ID')),
                ('content', models.TextField(
                    editable=False, verbose_name='Данные сертификата')),
                ('sha1hash', models.CharField(
                    db_index=True,
                    max_length=40,
                    unique=True,
                    verbose_name='SHA1 отпечаток')),
                ('subject_name', models.TextField(
                    db_index=True, editable=False, verbose_name='Владелец')),
                ('issuer_name', models.TextField(
                    db_index=True, editable=False, verbose_name='Эмитент')),
                ('serial_number', models.CharField(
                    max_length=1024, verbose_name='Серийный номер')),
                ('validity_begin', models.DateTimeField(
                    db_index=True,
                    editable=False,
                    verbose_name='Не действителен до')),
                ('validity_end', models.DateTimeField(
                    db_index=True,
                    editable=False,
                    verbose_name='Не действителен после')),
            ],
            options={'verbose_name': 'Сертификат', }, ),
        migrations.CreateModel(
            name='Operation',
            fields=[
                ('id', models.AutoField(
                    auto_created=True,
                    primary_key=True,
                    serialize=False,
                    verbose_name='ID')),
                ('signed_message', models.TextField(
                    verbose_name='Подписанное сообщение')),
                ('detached_content', models.TextField(
                    blank=True, verbose_name='Отделенные данные подписи')),
                ('verbose_content', models.TextField(
                    verbose_name='Сообщение подписи')),
                ('signing_time', models.DateTimeField(
                    null=True,
                    verbose_name='Дата и время подписания сообщения')),
                ('request_path', models.CharField(
                    max_length=2000, verbose_name='Урл действия')),
                ('created', models.DateTimeField(
                    auto_now_add=True,
                    db_index=True,
                    verbose_name='Дата создания')),
                ('modified', models.DateTimeField(
                    auto_now=True,
                    db_index=True,
                    verbose_name='Дата изменения')),
                ('certificate', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    to='sinops.Certificate',
                    verbose_name='Сертификат')),
            ],
            options={'verbose_name': 'Операция', }, ),
        migrations.CreateModel(
            name='OperationType',
            fields=[
                ('id', models.AutoField(
                    auto_created=True,
                    primary_key=True,
                    serialize=False,
                    verbose_name='ID')),
                ('code', models.CharField(
                    db_index=True,
                    max_length=100,
                    unique=True,
                    verbose_name='Код')),
                ('description', models.CharField(
                    max_length=500, verbose_name='Описание')),
            ],
            options={'verbose_name': 'Тип операции', }, ),
        migrations.AddField(
            model_name='operation',
            name='operation_type',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='sinops.OperationType',
                verbose_name='тип операции'), ),
    ]
